Skip to main content
GET
/
api
/
v1
/
threats
List recent threats
curl --request GET \
  --url https://api.ocean.security/api/v1/threats \
  --header 'X-Api-Key: <api-key>'
{
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123
  },
  "results": {
    "items": [
      {
        "detection_time": "1970-01-01T11:59:59.000Z",
        "id": "<string>",
        "recipient_email": "<string>",
        "recipient_name": "<string>",
        "remediation_time": "1970-01-01T11:59:59.000Z",
        "sender_email": "<string>",
        "sender_name": "<string>",
        "source": "<string>",
        "subject": "<string>",
        "threat_indicators": [
          {
            "indicator_type": "<string>"
          }
        ],
        "threat_type": "<string>",
        "time": "1970-01-01T11:59:59.000Z"
      }
    ]
  },
  "status": 123
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Headers

X-Api-Key
string
required

Authentication API Key

Query Parameters

minutes_ago
integer

Number of minutes to look back (default 7 * 24 * 60)

page
integer

Page number for pagination (default 1)

Response

A paginated list of threats

pagination
object

Pagination information

results
object

The actual data

status
integer

HTTP status code